%define	major		2
%define libname		%mklibname confuse %{major}
%define libname_devel	%mklibname confuse -d

Summary:	A library for parsing configuration files in C
Name:		libconfuse
Version:	3.3
Release:	%mkrel 4
License:	ISC
Group:		System/Libraries
URL:		https://github.com/martinh/libconfuse
Source0:	https://github.com/martinh/libconfuse/releases/download/v%{version}/confuse-%{version}.tar.xz
Patch0:		d73777c2c3566fb2647727bb56d9a2295b81669b.patch

%description
libConfuse is a configuration file parser library, licensed under the terms
of the ISC license, and written in C. It supports sections and (lists of)
values (strings, integers, floats, booleans or other sections), as well as
some other features (such as single/double-quoted strings, environment
variable expansion, functions and nested include statements). It makes it
very easy to add configuration file capability to a program using a simple
API.

The goal of libConfuse is not to be the configuration file parser library
with a gazillion of features. Instead, it aims to be easy to use and quick
to integrate with your code. libConfuse was called libcfg before, but was
changed to not confuse with other similar libraries. 

%package -n	%{libname}
Summary:	A library of functions for parsing configuration files in C
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n	%{libname}
libConfuse is a configuration file parser library, licensed under the terms
of the ISC license, and written in C. It supports sections and (lists of)
values (strings, integers, floats, booleans or other sections), as well as
some other features (such as single/double-quoted strings, environment
variable expansion, functions and nested include statements). It makes it
very easy to add configuration file capability to a program using a simple
API.

The goal of libConfuse is not to be the configuration file parser library
with a gazillion of features. Instead, it aims to be easy to use and quick
to integrate with your code. libConfuse was called libcfg before, but was
changed to not confuse with other similar libraries. 

%package -n	%{libname_devel}
Summary:	Development files for the %{name} library
Group:		Development/C
Provides:	confuse-devel = %{version}
Requires:	%{libname} = %{version}
Obsoletes:	%{_lib}confuse-static-devel < 3.2.1
Conflicts:	%{_lib}name2 < 3.2.1-3

%description -n	%{libname_devel}
Development library and header files for the %{name} library

#------------------------------------------------------------
%prep

%setup -q -n confuse-%{version}
%autopatch -p0

%build

%configure \
    --enable-shared \
    --disable-static \
    --disable-rpath

%make_build

%install
%make_install

install -d %{buildroot}%{_mandir}/man3
install -m0644 doc/man/man3/*.3 %{buildroot}%{_mandir}/man3/
rm -rf %{buildroot}%{_datadir}/doc/confuse

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang confuse

#------------------------------------------------------------

%files -f confuse.lang

%files -n %{libname}
%doc AUTHORS ChangeLog.md LICENSE README.md
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libname_devel}
%doc examples doc/html/*
%{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 3.3-4.mga10
+ Revision: 2215604
- Mageia 10 Mass Rebuild

* Wed Oct 19 2022 ns80 <ns80> 3.3-3.mga9
+ Revision: 1897564
- add patch from Fedora for CVE-2022-40320 (mga#30856)

* Tue Mar 15 2022 umeabot <umeabot> 3.3-2.mga9
+ Revision: 1792956
- Mageia 9 Mass Rebuild

* Thu Dec 03 2020 luigiwalser <luigiwalser> 3.3-1.mga8
+ Revision: 1652290
- 3.3

* Fri Feb 14 2020 umeabot <umeabot> 3.2.2-2.mga8
+ Revision: 1520454
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Nov 22 2018 daviddavid <daviddavid> 3.2.2-1.mga7
+ Revision: 1333196
- new version, 3.2.2, fixes CVE-2018-14447 (mga#23879)

* Sun Sep 23 2018 umeabot <umeabot> 3.2.1-4.mga7
+ Revision: 1298792
- Mageia 7 Mass Rebuild

* Thu Jan 25 2018 wally <wally> 3.2.1-3.mga7
+ Revision: 1196938
- move lib function man pages to devel pkg
- drop .la files
- loosen lib pkg requires for translations
- move static devel pkg obsoletes to devel pkg

* Thu Jan 25 2018 neoclust <neoclust> 3.2.1-2.mga7
+ Revision: 1196929
- Move translations out of libs, this will avoid future conflicts

* Thu Nov 30 2017 mjack <mjack> 3.2.1-1.mga7
+ Revision: 1180373
- Updated to version 3.2.1
- Disabled static libraries
- New major no: 2
- (Important) Removed static-devel package, since files don't get created on disable-static

* Mon Feb 08 2016 umeabot <umeabot> 2.7-7.mga6
+ Revision: 943934
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.7-6.mga5
+ Revision: 746447
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.7-5.mga5
+ Revision: 681386
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.7-4.mga4
+ Revision: 506939
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.7-3.mga3
+ Revision: 356924
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 08 2011 ennael <ennael> 2.7-2.mga1
+ Revision: 49122
- remove mdk version
- imported package libconfuse


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 2.7-2mdv2011.0
+ Revision: 609737
- rebuild

* Sat Mar 20 2010 Emmanuel Andry <eandry@mandriva.org> 2.7-1mdv2010.1
+ Revision: 525431
- New version 2.7
- drop patch (now useless)

* Sat Sep 12 2009 Thierry Vignaud <tv@mandriva.org> 2.6-6mdv2010.0
+ Revision: 438538
- rebuild

* Tue Mar 17 2009 Emmanuel Andry <eandry@mandriva.org> 2.6-5mdv2009.1
+ Revision: 356580
- protect major

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Feb 15 2008 Anssi Hannula <anssi@mandriva.org> 2.6-3mdv2008.1
+ Revision: 169129
- fix provides of static devel package

* Wed Feb 13 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 2.6-2mdv2008.1
+ Revision: 167130
- fix obsoletes tag (thanks to Adam Williamson for
  spotting this)

* Wed Feb 13 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 2.6-1mdv2008.1
+ Revision: 167057
- new upstream version: 2.6
- new license: ISC
- new library policy
- added static-devel subpackage
- added no-Werror.patch, the compilation was failing due to a
  non-important warning
- update descriptions and summaries

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jul 06 2007 Oden Eriksson <oeriksson@mandriva.com> 2.5-2mdv2008.0
+ Revision: 49072
- Import libconfuse



* Mon Jun 26 2006 Oden Eriksson <oeriksson@mandriva.com> 2.5-2mdv2007.0
- rebuild

* Fri May 06 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5-1mdk
- 2.5

* Sat Aug 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.1-1mdk
- initial cooker contrib
